Skip to content

Evaluate update-form mutation effects without saving a record.

POST
/api/workspace/entity/{entityIdOrKey}/instances/{instanceId}/form-evaluation
curl --request POST \
--url https://example.com/api/workspace/entity/example/instances/example/form-evaluation \
--header 'Content-Type: application/json' \
--data '{ "Mode": 0, "DraftFields": { "additionalProperty": {} }, "ChangedFields": [ "example" ], "FieldOrigins": { "additionalProperty": 0 } }'
  • None
entityIdOrKey
required
string
instanceId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for debounced entity form mutation-effect evaluation.

object
Mode
integer format: int32
Allowed values: 0 1 2
DraftFields
object
key
additional properties
object
ChangedFields
Array<string>
nullable
FieldOrigins
object
key
additional properties
integer format: int32
Allowed values: 0 1 2 3

OK

Media typeapplication/json
object
Data

Result of server-side form mutation-effect evaluation.

object
Patch

Canonical changed field values keyed by field key.

object
key
additional properties
object
ReferencePatchValues

Actor-shaped display and required projection payloads for scalar Reference values present in Patch.

object
key
additional properties

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
FieldOrigins

Authoritative value origins keyed by readable field key.

object
key
additional properties
integer format: int32
Allowed values: 0 1 2 3
LoadingFieldKeys

Fields affected by the evaluation generation.

Array<string>
nullable
FieldErrors

Field-scoped evaluation errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Skips

Non-fatal evaluation diagnostics.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ReferencePatchValues": {
"additionalProperty": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
}
}
},
"FieldOrigins": {
"additionalProperty": 0
},
"FieldErrors": [
{
"Type": 0,
"Severity": 0
}
],
"Skips": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of server-side form mutation-effect evaluation.

object
Patch

Canonical changed field values keyed by field key.

object
key
additional properties
object
ReferencePatchValues

Actor-shaped display and required projection payloads for scalar Reference values present in Patch.

object
key
additional properties

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
FieldOrigins

Authoritative value origins keyed by readable field key.

object
key
additional properties
integer format: int32
Allowed values: 0 1 2 3
LoadingFieldKeys

Fields affected by the evaluation generation.

Array<string>
nullable
FieldErrors

Field-scoped evaluation errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Skips

Non-fatal evaluation diagnostics.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ReferencePatchValues": {
"additionalProperty": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
}
}
},
"FieldOrigins": {
"additionalProperty": 0
},
"FieldErrors": [
{
"Type": 0,
"Severity": 0
}
],
"Skips": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Result of server-side form mutation-effect evaluation.

object
Patch

Canonical changed field values keyed by field key.

object
key
additional properties
object
ReferencePatchValues

Actor-shaped display and required projection payloads for scalar Reference values present in Patch.

object
key
additional properties

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
ProjectedPlainTextPreviews

Compact server-created previews for projected Markdown fields, keyed by target field key.

object
key
additional properties

Safe compact visible-text representation of a Markdown value.

object
Text

Visible text when available.

string
nullable
IsTruncated

Whether the visible text was shortened for compact presentation.

boolean
State
integer format: int32
Allowed values: 0 1 2 3
FieldOrigins

Authoritative value origins keyed by readable field key.

object
key
additional properties
integer format: int32
Allowed values: 0 1 2 3
LoadingFieldKeys

Fields affected by the evaluation generation.

Array<string>
nullable
FieldErrors

Field-scoped evaluation errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Skips

Non-fatal evaluation diagnostics.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ReferencePatchValues": {
"additionalProperty": {
"State": 0,
"ProjectedPlainTextPreviews": {
"additionalProperty": {
"State": 0
}
}
}
},
"FieldOrigins": {
"additionalProperty": 0
},
"FieldErrors": [
{
"Type": 0,
"Severity": 0
}
],
"Skips": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}